<?xml version="1.0" encoding="UTF-8"?>
<xbel version="1.0" xmlns:show="https://radiomanifest.degenerazione.xyz/shows/">
<?php

function escape_to_xml($text) {
  $escaped_text = wp_strip_all_tags($text);
  $escaped_text = esc_xml($escaped_text);
  return $escaped_text;
}

$post_options = array(
  'post_type' => 'broadcast',
  'numberposts' => -1,
  'orderby' => 'modified'
);

$broadcasts = get_posts($post_options);

foreach ($broadcasts as $post) { ?>
  <bookmark href="<?php echo get_permalink($post->ID); ?>">
  <title><?php echo $post->post_title; ?></title>
    <info>
      <metadata owner="https://radiomanifest.degenerazione.xyz/">
        <show:name><?php echo $post->post_title; ?></show:name>
        <show:id><?php echo $post->ID ?> </show:id>
        <show:description><?php echo escape_to_xml(get_the_excerpt($post=$post)); ?></show:description>
        <show:website><?php echo get_permalink($post->ID); ?></show:website>
        <show:feed><?php echo (get_site_url() . '/feed/podcast/' . $post->post_name); ?></show:feed>
      </metadata>
    </info>
  </bookmark>
<?php
}
?>
</xbel>
